Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

IFRAME_REQUEST for network/update.php. props duck_, see #15724.

git-svn-id: http://svn.automattic.com/wordpress/trunk@16860 1a063a9b-81f0-0310-95a4-ce76da25c4cd
  • Loading branch information...
commit c6c9ce82b3da383f6176329c7455c83854606841 1 parent f7ed8dd
nacin authored
Showing with 5 additions and 2 deletions.
  1. +3 −0  wp-admin/network/update.php
  2. +2 −2 wp-admin/update.php
3  wp-admin/network/update.php
View
@@ -7,6 +7,9 @@
* @since 3.1.0
*/
+if ( isset( $_GET['action'] ) && in_array( $_GET['action'], array( 'update-selected', 'activate-plugin', 'update-selected-themes' ) ) )
+ define( 'IFRAME_REQUEST', true );
+
/** Load WordPress Administration Bootstrap */
require_once( './admin.php' );
4 wp-admin/update.php
View
@@ -6,8 +6,8 @@
* @subpackage Administration
*/
-if ( isset( $_GET['action'] ) && in_array( $_GET['action'], array( 'update-selected', 'activate-plugin', 'update-selected-themes' ) ) )
- define('IFRAME_REQUEST' , true);
+if ( ! defined( 'IFRAME_REQUEST' ) && isset( $_GET['action'] ) && in_array( $_GET['action'], array( 'update-selected', 'activate-plugin', 'update-selected-themes' ) ) )
+ define( 'IFRAME_REQUEST', true );
/** WordPress Administration Bootstrap */
require_once('./admin.php');
Please sign in to comment.
Something went wrong with that request. Please try again.